package com.ruoyi.orderManagement.statusTracking.mapper;

import com.ruoyi.orderManagement.statusTracking.domain.Ftmsorderbillsfees;

import java.util.List;

/**
 * 订单费用Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-22
 */
public interface FtmsorderbillsfeesMapper {
    /**
     * 查询车队费用
     *
     * @param fId 车队费用ID
     * @return 车队费用
     */
    public Ftmsorderbillsfees selectFTmsorderbillsfeesById(Long fId);

    /**
     * 查询车队费用列表
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 车队费用集合
     */
    public List<Ftmsorderbillsfees> selectFTmsorderbillsfeesList(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 新增车队费用
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 结果
     */
    public int insertFTmsorderbillsfees(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 修改车队费用
     *
     * @param fTmsorderbillsfees 车队费用
     * @return 结果
     */
    public int updateFTmsorderbillsfees(Ftmsorderbillsfees fTmsorderbillsfees);

    /**
     * 删除车队费用
     *
     * @param fId 车队费用ID
     * @return 结果
     */
    public int deleteFTmsorderbillsfeesById(Long fId);

    /**
     * 批量删除车队费用
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFTmsorderbillsfeesByIds(Long[] fIds);

    /**
     *  根据主表id删除对应信息
     * @param pId   主表id
     * @return  结果
     */
    public int deleteFTmsorderbillsfeesByPId(long pId);
}
